Bug 523254 - RHEL6.0: packaging changes for qemu-kvm
Summary: RHEL6.0: packaging changes for qemu-kvm
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.0
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Mark McLoughlin
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-14 15:24 UTC by Mark McLoughlin
Modified: 2010-05-05 12:37 UTC (History)
3 users (show)

Fixed In Version: qemu-kvm-0.11.0-7.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-27 16:02:52 UTC


Attachments (Terms of Use)

Description Mark McLoughlin 2009-09-14 15:24:37 UTC
The RHEL6.0 package will have a lot of qemu features disabled, just like the RHEL5.4 kvm-userspace package

We want to allow EPEL to continue to include a fully-featured (except for kvm support) qemu package so that EPEL still has the non-x86 qemu targets

To that end we need to:

  - Re-name the qemu package to qemu-kvm

  - The sub-packages would be - qemu-kvm-common, qemu-kvm-img and qemu-kvm-tools

  - Move all files that would conflict with the stock qemu package - e.g.
    to /usr/share/qemu-kvm

  - Add a macro to the stock qemu package that would disable building the
    qemu-kvm meta-package and the /usr/bin/qemu-kvm binary

Comment 1 Eduardo Habkost 2010-01-20 11:52:19 UTC
On RHEL-6, the KVM userspace package is named "qemu-kvm". Moving bug to the right component.

Comment 4 lihuang 2010-04-27 16:02:39 UTC
with RHEL6.0-20100422.12 installation tree

packages are : 
[root@rhel6 ~]# rpm -qa | grep ^qemu
qemu-kvm-0.12.1.2-2.39.el6.x86_64
qemu-kvm-tools-0.12.1.2-2.39.el6.x86_64
qemu-img-0.12.1.2-2.39.el6.x86_64

and qemu-kvm is moved to /usr/libexec/qemu-kvm
[root@rhel6 ~]# rpm -ql qemu-kvm | grep libexec
/usr/libexec/qemu-kvm

not fully match comment#0 .but it is expected .
so setting to verified


Note You need to log in before you can comment on or make changes to this bug.